summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author CCHsu <a12321aabb@gmail.com>2014-09-13 08:00:09 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-09-13 08:00:09 +0700
commitdc33bb9293f99dc9f0df8b586837b4290820efb4 (patch)
tree23c75bbb68d6bff875b9777e3ac73c78f868465a /system
parenteb0a12b1c5f6e37f8ee104ad086472c3972f99a9 (diff)
downloadslackbuilds-dc33bb9293f99dc9f0df8b586837b4290820efb4.tar.gz
slackbuilds-dc33bb9293f99dc9f0df8b586837b4290820efb4.tar.xz
system/adobe-source-han-sans-fonts: Added (OpenType Pan-CJK Font).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/adobe-source-han-sans-fonts/README7
-rw-r--r--system/adobe-source-han-sans-fonts/adobe-source-han-sans-fonts.SlackBuild71
-rw-r--r--system/adobe-source-han-sans-fonts/adobe-source-han-sans-fonts.info10
-rw-r--r--system/adobe-source-han-sans-fonts/doinst.sh11
-rw-r--r--system/adobe-source-han-sans-fonts/slack-desc19
5 files changed, 118 insertions, 0 deletions
diff --git a/system/adobe-source-han-sans-fonts/README b/system/adobe-source-han-sans-fonts/README
new file mode 100644
index 0000000000..64e85b08e3
--- /dev/null
+++ b/system/adobe-source-han-sans-fonts/README
@@ -0,0 +1,7 @@
+Source Han Sans is a sans serif Pan-CJK font family that is offered in seven
+weights—ExtraLight, Light, Normal, Regular, Medium, Bold, and Heavy.
+
+Pan-CJK fonts are intended to support the characters necessary to render or
+display text in Simplified Chinese, Traditional Chinese, Japanese, and Korean.
+
+The license is Apache License, Version 2.0.
diff --git a/system/adobe-source-han-sans-fonts/adobe-source-han-sans-fonts.SlackBuild b/system/adobe-source-han-sans-fonts/adobe-source-han-sans-fonts.SlackBuild
new file mode 100644
index 0000000000..32dc228a77
--- /dev/null
+++ b/system/adobe-source-han-sans-fonts/adobe-source-han-sans-fonts.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# Slackware build script for adobe-source-han-sans-fonts
+
+# Copyright 2014 CCHsu, Taiwan
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=adobe-source-han-sans-fonts
+VERSION=${VERSION:-1.000}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# I assume you might not want to do the job in a directory
+# that contains spaces in its full path. If you do, try to replace
+# all the spaces in your full path or change to other working directory.
+SRC_PRGNAM=${SRC_PRGNAM:-SourceHanSans}
+FILE_PATHS=("$TMP"/"$PRGNAM"-"$VERSION"/"$SRC_PRGNAM"OTC-"$VERSION"/"$SRC_PRGNAM"-{ExtraLight,Light,Normal,Regular,Medium,Bold,Heavy}.ttc)
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $TMP/$PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+unzip "$CWD"/"$SRC_PRGNAM"OTC-"$VERSION".zip
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Installing font
+mkdir -p $PKG/usr/share/fonts/TTF
+cp -L "${FILE_PATHS[@]}" $PKG/usr/share/fonts/TTF
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/
+cp -L "$CWD"/LICENSE.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/adobe-source-han-sans-fonts/adobe-source-han-sans-fonts.info b/system/adobe-source-han-sans-fonts/adobe-source-han-sans-fonts.info
new file mode 100644
index 0000000000..9f7611d5e2
--- /dev/null
+++ b/system/adobe-source-han-sans-fonts/adobe-source-han-sans-fonts.info
@@ -0,0 +1,10 @@
+PRGNAM="adobe-source-han-sans-fonts"
+VERSION="1.000"
+HOMEPAGE="http://sourceforge.net/adobe/source-han-sans/wiki/Home/"
+DOWNLOAD="http://sourceforge.net/projects/source-han-sans.adobe/files/SourceHanSansOTC-1.000.zip http://sourceforge.net/projects/source-han-sans.adobe/files/LICENSE.txt"
+MD5SUM="7448748d1ba72b53e1a1256169716562 53e49f20ee48569fd6d86391c70460f9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="CCHsu"
+EMAIL="a12321aabb@gmail.com"
diff --git a/system/adobe-source-han-sans-fonts/doinst.sh b/system/adobe-source-han-sans-fonts/doinst.sh
new file mode 100644
index 0000000000..8fec9f5340
--- /dev/null
+++ b/system/adobe-source-han-sans-fonts/doinst.sh
@@ -0,0 +1,11 @@
+# Update the X font indexes:
+if [ -x /usr/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/TTF
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
diff --git a/system/adobe-source-han-sans-fonts/slack-desc b/system/adobe-source-han-sans-fonts/slack-desc
new file mode 100644
index 0000000000..2257f057d7
--- /dev/null
+++ b/system/adobe-source-han-sans-fonts/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+adobe-source-han-sans-fonts: adobe-source-han-sans-fonts ( An OpenType Pan-CJK Font Family )
+adobe-source-han-sans-fonts:
+adobe-source-han-sans-fonts: Source Han Sans is a sans serif Pan-CJK font family that is offered
+adobe-source-han-sans-fonts: Kai, Ming and yuan, which are originally to be the default fonts
+adobe-source-han-sans-fonts: in seven weights: ExtraLight, Light, Normal, Regular, Medium, Bold,
+adobe-source-han-sans-fonts: and Heavy. As the name suggests, Pan-CJK fonts are intended to
+adobe-source-han-sans-fonts: support the characters necessary to render or display text in
+adobe-source-han-sans-fonts: Simplified Chinese, Traditional Chinese, Japanese, and Korean.
+adobe-source-han-sans-fonts: The license is Apache License, Version 2.0.
+adobe-source-han-sans-fonts:
+adobe-source-han-sans-fonts: Homepage: http://sourceforge.net/adobe/source-han-sans/wiki/Home/